
Name: akonadi
Version: 1.2.1
Release: alt1

Group: Networking/WWW
Summary: An extensible cross-desktop storage service for PIM
Url: http://websvn.kde.org/trunk/kdesupport/akonadi
License: LGPLv2+

Requires: libqt4-sql-mysql

Source: %name-%version.tar.bz2
Patch1: akonadi-1.1.1-alt-alt-kdebindir.patch
# RH
Patch10: akonadi-1.1.1-mysql_conf.patch

BuildRequires(pre): libqt4-devel
BuildRequires: gcc-c++ automoc libsoprano-devel
BuildRequires: libqt4-devel >= 4.4 kde-common-devel >= 4
BuildRequires: shared-mime-info >=  0.20
BuildRequires: pkg-config cmake xsltproc xml-utils
BuildRequires: boost-devel boost-program_options-devel

%description
An extensible cross-desktop storage service for PIM data and meta data providing
concurrent read, write, and query access.


%package common
Summary: %name common mime and dbus calls
Group: System/Libraries
%description common
%name common mime and dbus calls.

%package -n libakonadiprotocolinternals
Group: System/Libraries
Summary: %name library
Requires: %name-common = %version-%release
Requires: %{get_dep libqt4-core}
%description -n libakonadiprotocolinternals
%name library

%package -n libakonadiprivate
Group: System/Libraries
Summary: %name library
Requires: %name-common = %version-%release
Requires: %{get_dep libqt4-core}
%description -n libakonadiprivate
%name library

%package devel
Group: Development/KDE and QT
Summary: Development files for %name
Requires: libqt4-devel libxml2-devel
Requires: libakonadiprotocolinternals = %version-%release
Requires: libakonadiprivate = %version-%release
Conflicts: kde4pimlibs-devel < 4.0.70
Conflicts: kde4pim-devel < 4.0.70
%description devel
Development files for %name


%prep
%setup -q
%patch1 -p1
#
%patch10 -p1

%build
#export PATH=%_libdir/kde4bin:$PATH
export CMAKE_LIBRARY_PATH=%_libdir
%K4cmake \
    -DBIN_INSTALL_DIR2=%__kde4_bindir \
    -DCONFIG_INSTALL_DIR=%_sysconfdir \
    -DINCLUDE_INSTALL_DIR=%_includedir \
    -DMYSQLD_EXECUTABLE:FILEPATH=%_sbindir/mysqld
#    -DAUTOMOC4_EXECUTABLE:FILEPATH=%_libdir/kde4bin/kde4automoc
#    -DBOOST_ROOT:STRING=%_prefix \
#    -DBOOST_INCLUDEDIR:STRING=%_includedir/boost \
#    -DBOOST_LIBRARYDIR:STRING=%_libdir \
#    -DBoost_MINIMUM_VERSION=1.34 \
%K4make


%install
make -C BUILD-%_target_platform DESTDIR=%buildroot install


%files
%_bindir/akonadi_control
%_bindir/akonadictl
%_bindir/akonadiserver
%dir %_sysconfdir/akonadi/
%config(noreplace) %_sysconfdir/akonadi/*

%files common
%_K4dbus_interfaces/*.xml
%_K4dbus_services/org.freedesktop.Akonadi.Control.service
%_K4xdg_mime/akonadi-mime.xml

%files -n libakonadiprivate
%_libdir/libakonadiprivate.so.*

%files -n libakonadiprotocolinternals
%_libdir/libakonadiprotocolinternals.so.*

%files devel
%_includedir/*
%_libdir/cmake/Akonadi/
%_libdir/*.so
%_libdir/pkgconfig/*

%changelog
* Mon Aug 31 2009 Sergey V Turchin <zerg@altlinux.org> 1.2.1-alt1
- new version

* Tue Aug 04 2009 Sergey V Turchin <zerg@altlinux.org> 1.2.0-alt1
- new version

* Wed Jul 15 2009 Sergey V Turchin <zerg@altlinux.org> 1.1.95-alt1
- new version

* Tue Jun 30 2009 Sergey V Turchin <zerg@altlinux.org> 1.1.1-alt3
- rebuilt with new boost

* Mon Mar 16 2009 Sergey V Turchin <zerg@altlinux.org> 1.1.1-alt2
- fix to find agents executables

* Wed Jan 28 2009 Sergey V Turchin <zerg at altlinux dot org> 1.1.1-alt1
- new version

* Tue Jan 13 2009 Sergey V Turchin <zerg at altlinux dot org> 1.1.0-alt1
- new version
- removed deprecated macroses from specfile

* Wed Jul 30 2008 Sergey V Turchin <zerg at altlinux dot org> 1.0.0-alt1
- new version

* Tue May 27 2008 Sergey V Turchin <zerg at altlinux dot org> 0.81.0-alt1
- new version

* Tue May 06 2008 Sergey V Turchin <zerg at altlinux dot org> 0.80.0-alt1
- initial spec
